define({"540":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_copy.htm",l:-1,t:"copy",i:0.000580952906554751,a:"copy The copy method returns a copy of the value. Modifying the copy does not affect the original value. Syntax copy() Returns (LuaJsonValue). A copy of the value."},"541":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_exists.htm",l:-1,t:"exists",i:0.00387279884515432,a:"The exists method checks whether a specified path exists in the JSON value. Syntax exists( pathElements ) Arguments Returns (Boolean) Returns true if the path exists, false otherwise. Example \nConsider the following JSON: \n{\n  \"product\": \"IDOL\",\n  \"component\": \"CFS\",\n  \"version\": { \"major\": 11, ..."},"542":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_existsByPath.htm",l:-1,t:"existsByPath",i:0.00387279884515432,a:"The existsByPath method checks whether a specified path exists in the JSON value.  Syntax existsByPath( path ) Arguments Returns (Boolean) Returns true if the path exists, false otherwise. Example Consider the following JSON: \n{\n  \"product\": \"IDOL\",\n  \"component\": \"CFS\",\n  \"version\": { \"major\": 11, ..."},"543":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_array.htm",l:-1,t:"is_array",i:0.000580952906554751,a:"is_array The is_array method whether the value is a JSON array. Syntax is_array() Returns (Boolean). Returns true if the value is an array value, false otherwise."},"544":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_boolean.htm",l:-1,t:"is_boolean",i:0.000580952906554751,a:"is_boolean The is_boolean method returns whether the value is a Boolean value. Syntax is_boolean() Returns (Boolean). Returns true if the value is a Boolean value, false otherwise."},"545":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_float.htm",l:-1,t:"is_float",i:0.000580952906554751,a:"is_float The is_float method returns whether the value is a floating point value. Syntax is_float() Returns (Boolean). Returns true if the value is a floating point value, false otherwise."},"546":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_integer.htm",l:-1,t:"is_integer",i:0.000580952906554751,a:"is_integer The is_integer method returns whether the value is an integral value. Syntax is_integer() Returns (Boolean). Returns true if the value is an integer value, false otherwise."},"547":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_null.htm",l:-1,t:"is_null",i:0.000580952906554751,a:"is_null The is_null method returns whether the value is a null value. Syntax is_null() Returns (Boolean). Returns true if the value is a null value, false otherwise."},"548":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_number.htm",l:-1,t:"is_number",i:0.000580952906554751,a:"is_number The is_number method returns whether the value is a number. Syntax is_number() Returns (Boolean). Returns true if the value is a number, false otherwise."},"549":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_object.htm",l:-1,t:"is_object",i:0.000580952906554751,a:"is_object The is_object method returns whether the value is a JSON object. Syntax is_object() Returns (Boolean). Returns true if the value is a JSON object, false otherwise."},"550":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_simple_value.htm",l:-1,t:"is_simple_value",i:0.000580952906554751,a:"is_simple_value The is_simple_value method returns whether the value is a simple value (Boolean, float, integer, or string). Syntax is_simple_value() Returns (Boolean). Returns true if the value is a simple value, false otherwise."},"551":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_string.htm",l:-1,t:"is_string",i:0.000580952906554751,a:"is_string The is_string method returns whether the value is a string value. Syntax is_string() Returns (Boolean). Returns true if the value is a string value, false otherwise."},"552":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_lookup.htm",l:-1,t:"lookup",i:0.00387279884515432,a:"The lookup method returns the value at the specified path in the JSON value. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookup( pathElements ) Arguments Returns (LuaJsonValue) Returns the value that exists at the specified path, ..."},"553":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_lookupByPath.htm",l:-1,t:"lookupByPath",i:0.00387279884515432,a:"The lookupByPath method returns the value at the specified path in the JSON array. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookupByPath( path ) Arguments Returns (LuaJsonValue) Returns the value that exists at the specified ..."},"554":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_object.htm",l:-1,t:"object",i:0.000580952906554751,a:"The object method gets the object, if the value is a JSON object. Syntax object() Returns (LuaJsonObject) A  LuaJsonObject  object that represents the JSON object. Example local fh = io.open(\"example_json.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n\nlocal myJsonValue = ..."},"555":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_string.htm",l:-1,t:"string",i:0.000580952906554751,a:"The string method returns the JSON value as a string. Syntax string() Returns (String). The JSON value as a string. Example local fh = io.open(\"example_json.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n    \nlocal myJsonValue = parse_json(file_content)\n\nprint(myJsonValue:string())\n"},"556":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_value.htm",l:-1,t:"value",i:0.000580952906554751,a:"The value method gets the value, if the JSON value is a simple type (a Boolean, float, integer, or string). This method returns a default value if one is specified and the value cannot be converted to the same type as the default. Syntax value( [default] ) Arguments Returns (lua_json_simple_type). A ..."},"557":{y:0,u:"../Content/Lua/LuaLog/_LUA_LuaLog.htm",l:-1,t:"LuaLog Methods",i:0.00319386739030638,a:"LuaLog Methods A LuaLog object provides the capability to use a log stream. You can obtain a LuaLog object for a log stream by using the function  get_log . If you have a LuaLog object called log you can call its methods using the \u0027:\u0027 operator. For example: log:write_line(level, message)"},"558":{y:0,u:"../Content/Lua/LuaLog/_LUA_write_line.htm",l:-1,t:"write_line",i:0.00183763962058936,a:"The write_line method writes a message to the log stream. Syntax write_line( level, message ) Arguments Example To write a log message from the ExecuteDocumentLua processor in IDOL NiFi Ingest: local log = get_log()\nlog:write_line(log_level_normal(), \"doing something...\")\n\n-- or use the following ..."},"559":{y:0,u:"../Content/Lua/LuaLogService/_LUA__LuaLogService.htm",l:-1,t:"LuaLogService Methods",i:0.000590406461140856,a:"A LuaLogService object provides the capability to write messages to a custom log file. To write messages to standard log files, OpenText recommends using the function  get_log  instead. If you have a LuaLogService object called myLogService you can call its methods using the \u0027:\u0027 operator. For ..."},"560":{y:0,u:"../Content/Lua/LuaLogService/_LUA_LuaLogService_new.htm",l:-1,t:"LuaLogService:new",i:0.00064752326598938,a:"The constructor for a LuaLogService object (creates a new LuaLogService). Do not construct a new log service to write messages to log types that are defined in the Query Manipulation Server configuration file. Syntax LuaLogService:new( config ) Arguments Returns (LuaLogService). The new ..."},"561":{y:0,u:"../Content/Lua/LuaLogService/_LUA_get_log.htm",l:-1,t:"get_log",i:0.00064752326598938,a:"get_log The get_log method returns a LuaLog object that you can use to write log messages to a specified log type. Syntax get_log( type ) Arguments Returns (LuaLog). A  LuaLog  object."},"562":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_LuaRegexMatch_Methods.htm",l:-1,t:"LuaRegexMatch Methods",i:0.00124594553198103,a:"A LuaRegexMatch object provides information about the matches for a regular expression found in a string. For example, the regex_search function returns a LuaRegexMatch object. If a match is found for a regular expression at multiple points in the string, you can use the next() method to get a ..."},"563":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_length.htm",l:-1,t:"length",i:0.000692052345382221,a:"length The length method returns the length of the match. You can also retrieve the length of sub matches by specifying the submatch parameter. Syntax length( [ submatch ] ) Arguments Returns (Number). The length of the sub match."},"564":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_next.htm",l:-1,t:"next",i:0.000692052345382221,a:"next The next method returns a LuaRegexMatch object for the next match. Syntax next() Returns (LuaRegexMatch). A LuaRegexMatch object for the next match, or nil if there are no matches following this one."},"565":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_position.htm",l:-1,t:"position",i:0.000692052345382221,a:"The position method returns the position of the match in the string searched, where 1 refers to the first character in the string. You can also retrieve the position of sub matches by specifying the submatch parameter. Syntax position( [ submatch ] ) Arguments Returns (Number). The position of the ..."},"566":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_size.htm",l:-1,t:"size",i:0.000692052345382221,a:"size The size method returns the total number of sub matches made for the current match, including the whole match (sub match 0). Syntax size() Returns (Number). The number of sub matches for the current match."},"567":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_str.htm",l:-1,t:"str",i:0.000692052345382221,a:"str The str method returns the matched text. You can also retrieve the values of sub matches by specifying the submatch parameter. Syntax str( [ submatch ] ) Arguments Returns (String). The value of the sub match."},"568":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_LuaXmlDocument_Methods.htm",l:-1,t:"LuaXmlDocument Methods",i:0.000480241128455719,a:"This section describes the methods provided by LuaXmlDocument objects. A LuaXmlDocument object provides methods for accessing information stored in XML format. You can create a LuaXmlDocument from a string containing XML using the parse_xml function. If you have a LuaXmlDocument object called xml ..."},"569":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_root.htm",l:-1,t:"root",i:0.000561882252887791,a:"root The root method returns an LuaXmlNode, which is the root node of the XML document. Syntax root() Returns (LuaXmlNode). A LuaXmlNode object."},"570":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathExecute.htm",l:-1,t:"XPathExecute",i:0.000561882252887791,a:"XPathExecute The XPathExecute method returns a LuaXmlNodeSet, which is the result of the supplied XPath query. Syntax XPathExecute( xpathQuery ) Arguments Returns (LuaXmlNodeSet). A LuaXmlNodeSet object."},"571":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathRegisterNs.htm",l:-1,t:"XPathRegisterNs",i:0.000561882252887791,a:"XPathRegisterNs The XPathRegisterNs method registers a namespace with the XML parser. Syntax XPathRegisterNs( prefix, location ) Arguments Returns (Boolean). True if successful, False in case of error."},"572":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValue.htm",l:-1,t:"XPathValue",i:0.000561882252887791,a:"XPathValue The XPathValue method returns the first occurrence of the value matching the XPath query. Syntax XPathValue( query ) Arguments Returns (String). A string of the value."},"573":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValues.htm",l:-1,t:"XPathValues",i:0.000561882252887791,a:"The XPathValues method returns the values according to the XPath query. Syntax XPathValues( query ) Arguments Returns (Strings). The strings can be assigned to a table. To map the return values to a table, surround the function call with braces. For example: values = { xml:XPathValues(query) }"},"574":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_LuaXmlNodeSet_Methods.htm",l:-1,t:"LuaXmlNodeSet Methods",i:0.000480241128455719,a:"LuaXmlNodeSet Methods A LuaXmlNodeSet object represents a set of XML nodes. If you have a LuaXmlNodeSet object called nodes you can call its methods using the \u0027:\u0027 operator. For example: nodes:size()"},"575":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_at.htm",l:-1,t:"at",i:0.000684343939535899,a:"at The at method returns the LuaXmlNode at position position in the set. Syntax at( position ) Arguments Returns (LuaXmlNode)."},"576":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_size.htm",l:-1,t:"size",i:0.000684343939535899,a:"size The size method returns the size of the node set. Syntax size() Returns (Number) An integer, the size of the node set."},"577":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_LuaXmlNode_Methods.htm",l:-1,t:"LuaXmlNode Methods",i:0.000480241128455719,a:"LuaXmlNode Methods A LuaXmlNode object represents a single node in an XML document.  If you have a LuaXmlNode object called node you can call its methods using the \u0027:\u0027 operator. For example: node:name()"},"578":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_attr.htm",l:-1,t:"attr",i:0.000521061690671755,a:"attr The attr method returns the first LuaXmlAttribute attribute object for the LuaXmlNode. If the name argument is specified, the method returns the first LuaXmlAttribute object with the specified name. Syntax attr( [name] ) Arguments Returns (LuaXmlAttribute). "},"579":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_content.htm",l:-1,t:"content",i:0.000521061690671755,a:"content The content method returns the content (text element) of the XML node. Syntax content() Returns (String). A string containing the content."},"580":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_firstChild.htm",l:-1,t:"firstChild",i:0.000521061690671755,a:"firstChild The firstChild method returns the LuaXmlNode that is the first child of this node. Syntax firstChild() Returns (LuaXmlNode)."},"581":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_lastChild.htm",l:-1,t:"lastChild",i:0.000521061690671755,a:"lastChild The lastChild method returns the LuaXmlNode that is the last child of this node. Syntax lastChild() Returns (LuaXmlNode)."},"582":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_name.htm",l:-1,t:"name",i:0.000521061690671755,a:"name The name method returns the name of the XML node. Syntax name() Returns (String). A string containing the name."},"583":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_next.htm",l:-1,t:"next",i:0.000521061690671755,a:"next The next method returns the LuaXmlNode that is the next sibling of this node. Syntax next() Returns (LuaXmlNode)."},"584":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_nodePath.htm",l:-1,t:"nodePath",i:0.000521061690671755,a:"nodePath The nodePath method returns the XML path to the node, which can be used in another XPath query. Syntax nodePath() Returns (String). A string containing the path."},"585":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_parent.htm",l:-1,t:"parent",i:0.000521061690671755,a:"parent The parent method returns the parent LuaXmlNode of the node. Syntax parent() Returns (LuaXmlNode)."},"586":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_prev.htm",l:-1,t:"prev",i:0.000521061690671755,a:"prev The prev method returns a LuaXmlNode that is the previous sibling of this node. Syntax prev() Returns (LuaXmlNode)."},"587":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_type.htm",l:-1,t:"type",i:0.000521061690671755,a:"The type method returns the type of the node as a string. Syntax type() Returns (String) A string containing the type. Possible values are: element_node comment_node element_decl attribute_node document_node attribute_decl text_node document_type_node entity_decl cdata_section_node ..."},"588":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_LuaXmlAttribute_Methods.htm",l:-1,t:"LuaXmlAttribute Methods",i:0.000480241128455719,a:"LuaXmlAttribute Methods A LuaXmlAttribute object represents an attribute on an XML element. If you have a LuaXmlAttribute object called attribute you can call its methods using the \u0027:\u0027 operator. For example: attribute:name()"},"589":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_name.htm",l:-1,t:"name",i:0.000582292533995809,a:"name The name method returns the name of this attribute. Syntax name() Returns (String). A string containing the name of the attribute."},"590":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_next.htm",l:-1,t:"next",i:0.000582292533995809,a:"next The next method returns a LuaXmlAttribute object for the next attribute in the parent element. Syntax next() Returns (LuaXmlAttribute)."},"591":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_prev.htm",l:-1,t:"prev",i:0.000582292533995809,a:"prev The prev method returns a LuaXmlAttribute object for the previous attribute in the parent element. Syntax prev() Returns (LuaXmlAttribute)."},"592":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_value.htm",l:-1,t:"value",i:0.000582292533995809,a:"value The value method returns the value of this attribute. Syntax value() Returns (String). A string containing the value of the attribute."},"593":{y:0,u:"../Content/Resources/MasterPages/_FT_Glossary.htm",l:-1,t:"Glossary",i:0.000480241128455719,a:"Glossary"},"594":{y:0,u:"../Content/Service/ServiceActions/_ACI_FromDisk.htm",l:-1,t:"FromDisk",i:0.00108875780811057,a:"FromDisk Specifies whether the log stream is read from disk or memory. Type  True if you want the log stream to be read from disk rather than from memory. "},"595":{y:0,u:"../Content/Actions/SharedParameters/_ACI_TemplateParamCSVs.htm",l:-1,t:"TemplateParamCSVs",i:0.000588124179442912,a:"A comma-separated list of variables to set in the XSL template.  If you specify an XSL template in the  Template  parameter, you can set the XSLT variables for the template by setting TemplateParamCSVs. Set a variable by adding the parameter name and the value, separated by a comma. To set multiple ..."},"596":{y:0,u:"../Content/Actions/General/_ACI_DiskReport_MaxDepth.htm",l:-1,t:"MaxDepth",i:0.00331517444032964,a:"The maximum number of levels to print in the output for a disk report. Query Manipulation Server always counts all objects, but for this number of levels, Query Manipulation Server also prints details of the components, items, directories, and files.  To print the whole directory tree, set this ..."},"597":{y:0,u:"../Content/Actions/SharedParameters/_ACI_Template.htm",l:-1,t:"Template",i:0.00572118876556359,a:"Template The name of the XSL template to apply to the action output. Exclude the file path and file extension."},"598":{y:0,u:"../Content/Actions/LLMs/ActionParameters/Reference_ModelSummarize.htm",l:-1,t:"Reference",i:0.00191517977093183,a:"One or more IDOL document references for the document that you want to summarize. Separate multiple references with a plus (+) or a space. You must percent-encode document references to ensure that any reserved characters that are part of a reference are not interpreted as action syntax. If you send ..."},"599":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/SecurityInfo.htm",l:-1,t:"SecurityInfo",i:0.00317579190584958,a:"The SecurityInfo string for the user sending the action.  In index mode, Query Manipulation Server sends the security string to the index Content component, and only returns suggestions for terms that exist in documents that the user is permitted to see.  QMS uses the Content secure term expansion, ..."},"600":{y:0,u:"../Content/Configuration/DocumentTracking/_ACI_TargetPort.htm",l:-1,t:"TargetPort",i:0.00160808851204353,a:"TargetPort The port to use to contact the document tracking storage component, specified by  Backend . "},"601":{y:0,u:"../Content/Actions/QMS/ActionParameters/Text_GetSynonyms.htm",l:-1,t:"Text",i:0.00361846015941562,a:"Text The input text to return synonyms for."},"602":{y:0,u:"../Content/Service/ServiceActions/_ACI_File.htm",l:-1,t:"File",i:0.00257316876864982,a:"File The path and file name of the diagnostics ZIP file to create. You can use an absolute or relative path. Relative paths are relative to the current component working directory."},"603":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/FieldRestriction.htm",l:-1,t:"FieldRestriction",i:0.0029580819220595,a:"When you have set  Mode  to Index, you can add a field restriction to the expansion to return only terms that appear in the specified field.  Set FieldRestriction to a list of the fields from which you want to return result terms. Separate multiple fields with colons (:). Query Manipulation Server ..."},"604":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/MaxResults.htm",l:-1,t:"MaxResults",i:0.0029580819220595,a:"MaxResults The maximum number of values to return as suggestions."},"605":{y:0,u:"../Content/Actions/General/_ACI_Format.htm",l:-1,t:"Format",i:0.00322193654217242,a:"Format Type  XML to display the request log in XML format. "},"606":{y:0,u:"../Content/Configuration/DocumentTracking/_ACI_TargetHost.htm",l:-1,t:"TargetHost",i:0.00160808851204353,a:"TargetHost The host name or IP address of the document tracking storage component, specified by  Backend ."},"607":{y:0,u:"../Content/Actions/General/_ACI_Refresh.htm",l:-1,t:"Refresh",i:0.00322193654217242,a:"Refresh The number of seconds to elapse before the request log refreshes. "},"608":{y:0,u:"../Content/Configuration/DocumentTracking/_ACI_Backend.htm",l:-1,t:"Backend",i:0.00261414012453905,a:"Backend The type of document tracking component backend. Use one of the following values: Type: String Default:   Required: Yes Configuration Section: DocumentTracking Example: Backend=ACI See Also: ConnectionString LogTypeCSVs LibraryPath TargetHost TargetPort"},"609":{y:0,u:"../Content/Actions/QMS/ActionParameters/Text_ExpandText.htm",l:-1,t:"Text",i:0.0024673078830033,a:"Text The query text to expand."},"610":{y:0,u:"../Content/Actions/QMS/ActionParameters/LanguageType.htm",l:-1,t:"LanguageType",i:0.0024673078830033,a:"LanguageType Query Manipulation Server assumes that the query is in the language and encoding specified by the  DefaultLanguageType  configuration parameter. To send text in another language or encoding, add the LanguageType parameter to the action to specify the language and encoding."},"611":{y:0,u:"../Content/Actions/SharedParameters/_ACI_ActionID.htm",l:-1,t:"ActionID",i:0.000588124179442912,a:"A string to use to identify an ACI action. You can use this parameter to track actions where the action is passed between multiple IDOL components. Each IDOL component passes the ActionID string along with the action, so that you can easily find related actions in logs for each component. If you do ..."},"612":{y:0,u:"../Content/Actions/QMS/ActionParameters/References.htm",l:-1,t:"References",i:0.00361846015941562,a:"References A comma-separated list of document references to specify the synonym rules to obtain keywords for. Synonym rules are documents indexed into your IDOL Agentstore component, so each rule has a reference."},"613":{y:0,u:"../Content/Actions/General/_ACI_OpenLinks.htm",l:-1,t:"OpenLinks",i:0.00322193654217242,a:"OpenLinks Type  on to open logged requests in a new window when they are clicked. "},"614":{y:0,u:"../Content/Actions/General/_ACI_MemoryReport_MaxDepth.htm",l:-1,t:"MaxDepth",i:0.00331517444032964,a:"MaxDepth The maximum depth to return memory information for. The  MemoryReport  response XML displays a tree structure, with information for components and their sub-components on multiple levels. You can set MaxDepth to restrict the report to this number of levels. "},"615":{y:0,u:"../Content/Actions/LLMs/ActionParameters/Text_ModelSummarize.htm",l:-1,t:"Text",i:0.00191517977093183,a:"Text The text that you want to summarize."},"616":{y:0,u:"../Content/Actions/LLMs/ActionParameters/Text_ModelEncode.htm",l:-1,t:"Text",i:0.00126044340822185,a:"Text The text to encode into embeddings."},"617":{y:0,u:"../Content/Actions/LLMs/ActionParameters/Model_ModelEncode.htm",l:-1,t:"Model",i:0.00126044340822185,a:"Model The name of the configuration section where you configure the model that you want to use to encode an embedding."},"618":{y:0,u:"../Content/Configuration/SSL/_ACI_SSLConfig.htm",l:-1,t:"SSLConfig",i:0.0165220308977651,a:"Identifies the configuration section in which the SSL configuration details are specified, usually SSLOptionN. You must set this parameter if you are using SSL connections between components. To control incoming ACI calls, set this parameter in the [Server] section. To control outgoing ACI calls, ..."},"619":{y:0,u:"../Content/Actions/General/_ACI_Data.htm",l:-1,t:"Data",i:0.00109607553002816,a:"Data The encrypted version of the original action. To send an encrypted action, encrypt the action and then send it in the Data parameter of the  Encrypted  action. "},"620":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/MinScore.htm",l:-1,t:"MinScore",i:0.0029580819220595,a:"MinScore The minimum score that a term in the dictionary or index must have to return as a suggestion."},"621":{y:0,u:"../Content/Actions/LLMs/ActionParameters/ID_ModelSummarize.htm",l:-1,t:"ID",i:0.00191517977093183,a:"ID One or more IDOL document IDs of documents that you want to summarize. Separate multiple IDs with a plus (+) or a space."},"622":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/Behavior.htm",l:-1,t:"Behavior",i:0.00363405610138809,a:"The type of expansion to use for terms. You can use one of the following values:  Trailing. Expand the text from the end of the word or phrase that the user provides. In this case, QMS uses a trailing wildcard (term*) to return only expansion options that start with the value that the user types. ..."},"623":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/ManageFile.htm",l:-1,t:"ManageFile",i:0.00140848214849483,a:"A file upload that contains the changes that you want to make to the dictionary file. You can use the following methods to send the file to Query Manipulation Server. Upload the file directly with an HTTP POST request. Files must be uploaded as multipart/form-data. Send the file as a URL-encoded, ..."},"624":{y:0,u:"../Content/Actions/LLMs/ActionParameters/SecurityInfo_ModelSummarize.htm",l:-1,t:"SecurityInfo",i:0.00184714550057177,a:"The encrypted security information for the user who wants to summarize documents. Use this option if you want to summarize secure documents (that is, documents that are not accessible to everyone). You generate a user SecurityInfo token by sending the UserRead action to the IDOL Community component, ..."},"625":{y:0,u:"../Content/Lua/_LUA_HTTP_Client_Config.htm",l:-1,t:"HTTP Client Parameters",i:0.00322195137093846,a:"This page describes the HTTP Client options that you can use with the Lua function  send_http_request . When configuring authentication, do not set more than one of the following combinations. BasicUsername and BasicPassword DigestUsername and DigestPassword NTLMUsername and NTLMPassword You can ..."},"626":{y:0,u:"../Content/Service/ServiceActions/_ACI_Logs.htm",l:-1,t:"Logs",i:0.00257316876864982,a:"Logs The log files to include in the diagnostic ZIP file. You can use one of the following options: Action Diagnostic Type: String Default: Current Required: No Example: Logs=Full See Also:"},"627":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/TermExpandParameter.htm",l:-1,t:"TermExpandParameter",i:0.00309415046277962,a:"When you have set  Mode  to Index, you can add the following parameters from the IDOL Server TermExpand action, to specify how it performs the expansion. Query Manipulation Server forwards these parameters to the IDOL Server data index. Stemming. Whether to return the list of terms in unstemmed ..."},"628":{y:0,u:"../Content/Actions/SharedParameters/_ACI_Output.htm",l:-1,t:"Output",i:0.00478887470704746,a:"Type  File to write action output to a file. If you set Output to  File, you must use the  FileName  parameter to specify the name and the location of the file that you want to write the output to. The path that you specify in  FileName  must be listed in the  AllowedOutputDirectoryCSVs  ..."},"629":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/Mode_TypeAheadManage.htm",l:-1,t:"Mode",i:0.000922693966645203,a:"Mode The  TypeAhead  method that you want to manage. You can use one of the following options:  Dictionary. Manage the configured dictionary file."},"630":{y:0,u:"../Content/Actions/LLMs/ActionParameters/StateID_ModelSummarize.htm",l:-1,t:"StateID",i:0.00191517977093183,a:"The ID of a state token (created earlier by using the IDOL Content component Query action with the StoreState parameter) that lists the documents that you want to summarize.  If you specify the token ID only, QMS summarizes all documents listed in the token. If you add a (zero-based) index range, or ..."},"631":{y:0,u:"../Content/Configuration/Server/_ACI_XSLTemplates.htm",l:-1,t:"XSLTemplates",i:0.00415625265154515,a:"The XSLTemplates parameter specifies whether to enable the transformation of ACI action responses using XSL templates. To transform the response to an action, set this configuration parameter to True, and specify the name of the template in the action. For example: ..."},"632":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/ManageMode.htm",l:-1,t:"ManageMode",i:0.00228605210372153,a:"The operation to perform on the dictionary. You can use one of the following values: Add. Add words to the dictionary.  Edit. Modify existing terms in the index to change or remove the score.  Remove. Remove existing terms.   Persist. Save changes to the dictionary file to disk. You can specify the ..."},"633":{y:0,u:"../Content/Actions/General/_ACI_IP.htm",l:-1,t:"IP",i:0.00109607553002816,a:"IP The IP address for which to check permissions. By default, the  ShowPermissions  action checks the permissions for the client that sends the request."},"634":{y:0,u:"../Content/Service/ServiceActions/_ACI_Tail.htm",l:-1,t:"Tail",i:0.00108875780811057,a:"Tail Type the number of lines from the log stream to return. The lines are read from the top (that is, the most recent lines are returned). Type  -1 to return all entries."},"635":{y:0,u:"../Content/Service/ServiceActions/_ACI_Name.htm",l:-1,t:"Name",i:0.00108875780811057,a:"Name Type the name of the log stream you want to return. To retrieve a list of log stream names, use the  GetLogStreamNames  service action."},"636":{y:0,u:"../Content/Actions/General/_ACI_Tail.htm",l:-1,t:"Tail",i:0.00322193654217242,a:"Tail The number of most recent requests that the log must display. "},"637":{y:0,u:"../Content/Configuration/DocumentTracking/_ACI_ConnectionString.htm",l:-1,t:"ConnectionString",i:0.000924647345025464,a:"The connection string to use to connect to the PostgreSQL, Microsoft SQL Server, or Oracle database acting as the backend for document tracking. Use this parameter to specify the connection details for your setup. The connection string is passed on to the database, so  you can use a connection ..."},"638":{y:0,u:"../Content/Configuration/License/_ACI_LicenseConfigParams_Reference.htm",l:-1,t:"License Configuration Parameters",i:0.000616309669175839,a:"License Configuration Parameters This section describes the license configuration parameters that specify licensing details. "},"639":{y:0,u:"../Content/Actions/SharedParameters/_ACI_FileName.htm",l:-1,t:"FileName",i:0.00262337606220815,a:"The location of the file to write the action output to, if you have set  Output  to  File. Type the full path to the file. The path that you specify must be listed in the  AllowedOutputDirectoryCSVs  configuration parameter. Query Manipulation Server cannot write the output file to directories that ..."},"640":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/Text_TypeAheadManage.htm",l:-1,t:"Text",i:0.00180755366263739,a:"The updates to the dictionary file.  Specify a list of  word,score pairs that you want to add, remove, or modify in the dictionary (according to the value that you have set for  ManageMode ). The score value is optional. If you include a score, the minimum allowed score value is -230, and the ..."},"641":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/Text.htm",l:-1,t:"Text",i:0.0029580819220595,a:"Text The string that you want to expand with suggestions. The action returns possible expansions for this string from the dictionary or the index."},"642":{y:0,u:"../Content/Configuration/Paths/_ACI_TemplateDirectory.htm",l:-1,t:"TemplateDirectory",i:0.0032014422956724,a:"TemplateDirectory The path to the directory that contains your XSL templates. You can use XSL templates to transform action responses."},"643":{y:0,u:"../Content/Actions/SharedParameters/_ACI_ResponseFormat.htm",l:-1,t:"ResponseFormat",i:0.0035901853195605,a:"The format in which you want to receive the action output. You can use one of the following response formats: XML. XML format. Config. Config format (that is, similar to the Query Manipulation Server configuration file). json. Default JSON format, as you configure in  JSONFormat . json/0. A JSON ..."},"644":{y:0,u:"../Content/Actions/LLMs/ActionParameters/Model_ModelSummarize.htm",l:-1,t:"Model",i:0.00191517977093183,a:"Model The name of the configuration section where you configure the model that you want to use to summarize."},"645":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/Mode.htm",l:-1,t:"Mode",i:0.00888791182873655,a:"The method to use to generate the terms that the action returns. You can use one of the following options:  Dictionary. You supply a text document that lists the words that you want to return in the action. If you want to use Dictionary mode, you must set the  DictionaryFile  configuration parameter ..."},"646":{y:0,u:"../Content/Actions/SharedParameters/_ACI_ForceTemplateRefresh.htm",l:-1,t:"ForceTemplateRefresh",i:0.00545252681869912,a:"ForceTemplateRefresh If you specify a Template to use for your action results, you can set ForceTemplateRefresh to  True to force the ACI server  to reload this template from disk rather than from the cache."},});